package com.hp.user.service.config;

import java.util.Arrays;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import cn.nyhlw.doc2swagger.core.config.RestDocConfig;
import cn.nyhlw.doc2swagger.springswagger2.EnableSwagger2;

@Configuration
@EnableSwagger2
public class SwaggerConfig {
    @Bean
    RestDocConfig _swaggerConfig()
    {
            return RestDocConfig.builder()
                    .apiTitle("rest doc user")
                    .apiDescription("用户信息系统")
                    .apiVersion("1.0.0")
                    .packages(Arrays.asList("com.hp.user.service.impl"))
                    .build();
    }
}
